Package com.io7m.coffeepick.api

# Class CoffeePickTaskEventStarted.Builder

java.lang.Object
com.io7m.coffeepick.api.CoffeePickTaskEventStarted.Builder

Enclosing class:
  CoffeePickTaskEventStarted

    public static final class CoffeePickTaskEventStarted.Builder
    extends java.lang.Object

Builds instances of type `CoffeePickTaskEventStarted`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `CoffeePickTaskEventStarted` | `build()` | Builds a new `CoffeePickTaskEventStarted`.
  `CoffeePickTaskEventStarted.Builder` | `from​(CoffeePickTaskEventStartedType instance)` | Fill a builder with attribute values from the provided `com.io7m.coffeepick.api.CoffeePickTaskEventStartedType` instance.
  `CoffeePickTaskEventStarted.Builder` | `from​(CoffeePickTaskEventType instance)` | Fill a builder with attribute values from the provided `com.io7m.coffeepick.api.CoffeePickTaskEventType` instance.
  `CoffeePickTaskEventStarted.Builder` | `setDescription​(java.lang.String description)` | Initializes the value for the `description` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final CoffeePickTaskEventStarted.Builder from​(CoffeePickTaskEventType instance)
    Fill a builder with attribute values from the provided `com.io7m.coffeepick.api.CoffeePickTaskEventType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final CoffeePickTaskEventStarted.Builder from​(CoffeePickTaskEventStartedType instance)
    Fill a builder with attribute values from the provided `com.io7m.coffeepick.api.CoffeePickTaskEventStartedType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setDescription

    public final CoffeePickTaskEventStarted.Builder setDescription​(java.lang.String description)
    Initializes the value for the `description` attribute.
    Parameters:
      `description` - The value for description
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public CoffeePickTaskEventStarted build()
    Builds a new `CoffeePickTaskEventStarted`.
    Returns:
      An immutable instance of CoffeePickTaskEventStarted
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing